Skip to main content
PATCH
/
scriptures
/
{scriptureId}
Update scripture
curl --request PATCH \
  --url https://api.thehaystack.ai/v2/haystack/scriptures/{scriptureId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "book": "<string>",
  "chapter": 123,
  "verseStart": 123,
  "verseEnd": 123,
  "keyVerse": true,
  "accepted": true,
  "suggested": true,
  "displayOrder": 123
}
'
{
  "scripture": {
    "id": 123,
    "itemId": 123,
    "book": "<string>",
    "bookName": "<string>",
    "chapter": 123,
    "verseStart": 123,
    "verseEnd": 123,
    "citation": "<string>",
    "keyVerse": true,
    "suggested": true,
    "accepted": true,
    "displayOrder": 123,
    "text": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.thehaystack.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API token from the Haystack dashboard

Path Parameters

scriptureId
integer
required

Body

application/json
book
string
chapter
integer
verseStart
integer | null
verseEnd
integer | null
keyVerse
boolean
accepted
boolean

Only valid for suggested scriptures

suggested
boolean
displayOrder
integer

Response

200 - application/json

Updated scripture

scripture
object